package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 在线状态 (0.离线，1.在线)枚举类
*
* @author zxfei
*/
public enum DeviceOnlineStatusEnum {
    离线(0, "离线"),
    在线(1, "在线");
    private Integer value;
    private String desc;

    DeviceOnlineStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceOnlineStatusEnum getByValue(Integer value) {
        for (DeviceOnlineStatusEnum deviceOnlineStatusEnum : DeviceOnlineStatusEnum.values()) {
            if (deviceOnlineStatusEnum.getValue() == value) {
                return deviceOnlineStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceOnlineStatusEnum item : DeviceOnlineStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}